%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")}

%global momorel 6

Summary: GTK+ Bluetooth Manager
Name: blueman
Version: 1.21
Release: %{momorel}m%{?dist}
License: GPLv3+
Group: Applications/System
URL: http://blueman-project.org/
Source0: http://download.tuxfamily.org/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: PolicyKit-gnome
Requires: bluez >= 4.25
Requires: dbus
Requires: gnome-python2
Requires: gnome-python2-gconf
Requires: gnome-session
Requires: hal
Requires: notify-python
Requires: notification-daemon
Requires: obex-data-server >= 0.4.3
Requires: pygtk2 >= 2.12
Requires: python >= 2.5
BuildRequires: Pyrex >= 0.9.8.0
BuildRequires: gtk2-devel >= 2.12
BuildRequires: bluez-libs-devel >= 4.21
BuildRequires: dbus-python-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool >= 0.35.0
BuildRequires: libtool
BuildRequires: notify-python-devel
BuildRequires: pygobject-devel >= 2.12
BuildRequires: pygtk2-devel >= 2.12
BuildRequires: python-devel >= 2.5
BuildRequires: startup-notification-devel >= 0.9

%description
Blueman is a tool to use Bluetooth devices.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}




echo "NotShowIn=GNOME;KDE;" | cat %{buildroot}%{_sysconfdir}/xdg/autostart/blueman.desktop - > blueman.desktop
mv  blueman.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/blueman.desktop

%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
gtk-update-icon-cache -q -t -f %{_datadir}/icons/hicolor &>/dev/null || :

%posttrans
gtk-update-icon-cache -q -t -f %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_sysconfdir}/xdg/autostart/blueman.desktop
%{_bindir}/*
%{python_sitelib}/blueman
%{python_sitearch}/*.so
%{python_sitearch}/*.la
%{_libexecdir}/blueman-mechanism
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.blueman.Mechanism.conf
%{_datadir}/applications/blueman-manager.desktop
%{_datadir}/polkit-1/actions/org.blueman.policy
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/blueman-applet.service
%{_datadir}/dbus-1/system-services/org.blueman.Mechanism.service
%{_mandir}/man1/*.1.*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.21-6m)
- full rebuild for mo7 release

* Wed Jun  9 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.21-5m)
- fix BuildRequires

* Mon May 31 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.21-4m)
- good-bye from KDE too, KDE is using kbluetooth

* Sat May 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.21-3m)
- good-bye from GNOME again

* Sat May 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.21-2m)
- good-bye from GNOME (gnome-bluetooth is a same tool)

* Wed Dec 30 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.21-1m)
- update 1.21

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.10-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jun 10 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.10-1m)
- Initial Commit Momonga Linux

* Mon May 15 2009 Juan Rodriguez <mi@v3.sk> - 1.10-2
- Replaced tabs with spaces
- Changed summary & Description
- Hid the patch, as its no longer needed.

* Mon Apr 27 2009 Michal Ingeli <mi@v3.sk> - 1.10-1
- upgraded to blueman 1.10
- removed obsolete bugfix patch

* Mon Mar 23 2009 Juan Rodriguez <nushio@fedoraproject.org> - 1.02-9
- Added --disable-static
- Fixed directory permissions

* Sun Mar 15 2009 Juan Rodriguez <nushio@fedoraproject.org> - 1.02-8
- Added requires gnome-session and PolicyKit.
- Fixed entries that would cause files inside /usr/share/blueman not have a proper owner.
- Touches directories before gtk-update-icon-cache runs

* Sun Mar 15 2009 Christian Krause <chkr@plauener.de> - 1.02-7
- Fixes compiling on other architectures. 
- Uses Rajeesh's patch

* Wed Mar 11 2009 Juan Rodriguez <nushio@fedoraproject.org> - 1.02-6
- Using upstream tar.gz instead of patched one.

* Wed Mar 11 2009 Juan Rodriguez <nushio@fedoraproject.org> - 1.02-5
- Changed license to GPLv3+
- Removed *.a files
- Wildcard usage on Man and Executables
- Changed gtk2 to gtk2-devel on BuildRequires
- Added dbus-python-devel dependency

* Wed Mar 11 2009 Juan Rodriguez <nushio@fedoraproject.org> - 1.02-4
- Added patch
- Removed xdg .desktop file
- Made it autostart on Gnome login

* Wed Mar 11 2009 Juan Rodriguez <nushio@fedoraproject.org> - 1.02-3
- Used dynamic files
- Added Python path

* Wed Mar 11 2009 Juan Rodriguez <nushio@fedoraproject.org> - 1.02-2
- Added BuildRequires and Requires

* Tue Mar 10 2009 Juan Rodriguez <nushio@fedoraproject.org> - 1.02-1
- Updating to Blueman 1.02
- See http://blueman-project.org/ for changelog.

* Wed Feb 18 2009 Juan Rodriguez <nushio@fedoraproject.org> - 1.01-1
- Initial RPM release
- See http://blueman-project.org/ for changelog.
